Save network roles
curl --request PUT \
--url https://{host}/api/supervisors/{name}/network-roles \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
[
{
"gateway": "<string>",
"interface": "<string>",
"mtu": 123,
"role": "<string>",
"subnet": "<string>"
}
]
'import requests
url = "https://{host}/api/supervisors/{name}/network-roles"
payload = [
{
"gateway": "<string>",
"interface": "<string>",
"mtu": 123,
"role": "<string>",
"subnet": "<string>"
}
]
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
gateway: '<string>',
interface: '<string>',
mtu: 123,
role: '<string>',
subnet: '<string>'
}
])
};
fetch('https://{host}/api/supervisors/{name}/network-roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/network-roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'gateway' => '<string>',
'interface' => '<string>',
'mtu' => 123,
'role' => '<string>',
'subnet' => '<string>'
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/network-roles"
payload := strings.NewReader("[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/supervisors/{name}/network-roles")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/network-roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}networking
Save network roles
Sysprep (autounattend.xml) templates — Windows sibling of cloud-init
Authorisation: supervisor:Bootstrap on krn:celum:supervisor:{name}.
PUT
/
api
/
supervisors
/
{name}
/
network-roles
Save network roles
curl --request PUT \
--url https://{host}/api/supervisors/{name}/network-roles \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
[
{
"gateway": "<string>",
"interface": "<string>",
"mtu": 123,
"role": "<string>",
"subnet": "<string>"
}
]
'import requests
url = "https://{host}/api/supervisors/{name}/network-roles"
payload = [
{
"gateway": "<string>",
"interface": "<string>",
"mtu": 123,
"role": "<string>",
"subnet": "<string>"
}
]
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
gateway: '<string>',
interface: '<string>',
mtu: 123,
role: '<string>',
subnet: '<string>'
}
])
};
fetch('https://{host}/api/supervisors/{name}/network-roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/network-roles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'gateway' => '<string>',
'interface' => '<string>',
'mtu' => 123,
'role' => '<string>',
'subnet' => '<string>'
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/network-roles"
payload := strings.NewReader("[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/supervisors/{name}/network-roles")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/network-roles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"gateway\": \"<string>\",\n \"interface\": \"<string>\",\n \"mtu\": 123,\n \"role\": \"<string>\",\n \"subnet\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Response
object | null
Success.